# List Keys

Lists all Access Keys for project.

Endpoint: GET /v1/projects/{projectId}/accessKeys
Version: v1
Security: OAuth2, Basic

## Security:

  - `OAuth2` (unknown)
    oauth2

  - `Basic` (unknown)
    http basic

## Path parameters:

  - `projectId` (string, required)
    Required. List keys for the provided project.

## Query parameters:

  - `pageSize` (integer)
    Optional. The maximum number of results to return in a single response. It
 must be in the range 1-1000. If left empty, a default page size of 100 is
 used.

  - `pageToken` (string)
    Optional. The pagination token returned in an earlier response.

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (application/json):

  - `accessKeys` (array)
    Collection of Access Keys.

  - `accessKeys.accessKeyId` (string)
    Unique ID for this Access Key.

  - `accessKeys.displayName` (string)
    The display name for this Access Key. It must be unique for the resource tied to the key.

  - `accessKeys.projectId` (string)
    The project ID this key is tied to.

  - `accessKeys.createTime` (string)
    Timestamp when the Access Key was created.

  - `accessKeys.updateTime` (string)
    Timestamp when the Access Key was last modified.

  - `nextPageToken` (string)
    The next pagination token, or an empty value if there are no more results.

## Response 401:

  - `401` (unknown)
    Unauthenticated. Incorrect credentials.

## Response 403:

  - `403` (unknown)
    Permission denied.

## Response 500:

  - `500` (unknown)
    Internal error, try again with exponential back-off

## Response 500 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

## Response 503:

  - `503` (unknown)
    Unavailable, try again with exponential back-off

## Response 503 fields (application/json):

  - `error` (object)

  - `error.code` (integer)

  - `error.details` (array)

  - `error.details.type_url` (string)

  - `error.details.value` (string)

  - `error.message` (string)

  - `error.status` (string)

